OPEN GL

User avatar
W1der
Posts: 3678
Joined: Wed Jan 13, 2016 7:53 pm
Location: SWEDEN

OPEN GL

Post by W1der » Sun Aug 28, 2016 3:41 pm

So ... I was reading up on what "Open GL" is ...

I looked up my GPU that I have in my mac and found this ...
https://www.techpowerup.com/gpudb/2587/ ... ac-edition
Saying that the Open GL version is 4.5 !?

In my LOG.txt i find this ...

Code: Select all

Sound System
  Driver: OpenAL
  Version: 1.1
  Device:  Boom2Device
  Max. sources: 512
Render System
  Driver: OpenGL
  Card Vendor: ATI Technologies Inc.
  Renderer: AMD Radeon R9 M295X OpenGL Engine
  Version: 4.1 ATI-1.42.15
  Shader Version: 4.10
    GL_ARB_pixel_buffer_object not supported
    GL_NV_texture_compression_vtc not supported
    GL_ARB_texture_compression_rgtc not supported
    GL_ARB_framebuffer_sRGB not supported
    GL_EXT_texture_sRGB not supported
    GL_ARB_framebuffer_sRGB not supported
    GL_ARB_texture_compression_rgtc not supported
    GL_ARB_draw_instanced not supported
    GL_ARB_uniform_buffer_object not supported
    GL_EXT_framebuffer_object not supported
    GL_EXT_framebuffer_blit not supported
    GL_ARB_occlusion_query not supported
    GL_ARB_fragment_program not supported
    GL_ARB_get_program_binary not supported
    GL_ATI_texture_float not supported
    GL_ARB_texture_float not supported
    OpenGL initialization successful
To be honest ... I am not sure what I am looking at here ... :blushnew:
[Win10] Intel i7-6700K 4.0GHz / GTX1070 Dual OC 8GB GDDR5 / 32GB 2133MHz DDR4 SDRAM

User avatar
thunderhawk
Posts: 1452
Joined: Sat Jan 17, 2015 1:02 am

Re: OPEN GL

Post by thunderhawk » Mon Aug 29, 2016 1:59 am

being a mac I'm not 100% but looks like your card is not updated according to spec sheet you have shown
Render System
Driver: OpenGL
Card Vendor: ATI Technologies Inc.
Renderer: AMD Radeon R9 M295X OpenGL Engine

Version: 4.1 ATI-1.42.15
Dell XPS 720 Intel Core 2 Quad Extreme 3.0ghz
Liquid cooled with a 120mm x 240mm radiator twin 120mm cooler master SickleFlow fans
Nvidia GTX 660ti
Patch 1.4.4 Windows 7 home
Playing through a Sanyo 50" tv

JohnDeere318
Posts: 6840
Joined: Thu Dec 10, 2015 2:49 am
Location: Iowa, USA
Contact:

Re: OPEN GL

Post by JohnDeere318 » Mon Aug 29, 2016 4:05 am

You need to update your graphics driver: http://support.amd.com/en-us/download :)

FS15 needs shader 4.5.
My PC specs: Click Here (Google Doc) :gamer:

How to post your log.txt

User avatar
don_apple
Moderator
Posts: 5374
Joined: Thu Oct 28, 2010 9:31 pm
Location: Planet Erde

Re: OPEN GL

Post by don_apple » Mon Aug 29, 2016 8:37 am

To clear up some confusion here: The version mentioned at the link above is the OpenGL version that is implemented in the hardware. The version mentioned in the log.txt is the version of the driver used by the OS to control the hardware and the shader version it implements, which both have nothing to do with the OpenGL version of the hardware.

Regarding the "not supported" messages in the graphics card section of the log.txt I've already commented a while ago: viewtopic.php?f=857&t=93019&p=712094&hi ... ed#p712119

And no, on Mac OS Xyou normally can't update the graphics driver by downloading and installing a new version from the manufacturer of the graphics card.
Gruß/Regards,
don_apple

Apple iMac 27" (late 2013), Quad-Core i7 3.5 GHz, 16GB, Nvidia GTX 780M
Bitte benutzt das öffentliche Forum für Supportfragen und nicht PN/Please use the public forum for support questions and not PM
Wo findet man den FarmingSimulator Ordner / Where to find the FarmingSimulator folder log.txt Image Server Forenregeln/Board rules

User avatar
W1der
Posts: 3678
Joined: Wed Jan 13, 2016 7:53 pm
Location: SWEDEN

Re: OPEN GL

Post by W1der » Mon Aug 29, 2016 8:50 am

don_apple wrote:To clear up some confusion here: The version mentioned at the link above is the OpenGL version that is implemented in the hardware. The version mentioned in the log.txt is the version of the driver used by the OS to control the hardware and the shader version it implements, which both have nothing to do with the OpenGL version of the hardware.

Regarding the "not supported" messages in the graphics card section of the log.txt I've already commented a while ago: viewtopic.php?f=857&t=93019&p=712094&hi ... ed#p712119

And no, on Mac OS Xyou normally can't update the graphics driver by downloading and installing a new version from the manufacturer of the graphics card.

Yes ... this is basically what I figured out so far also ... thank you for confirming!
Here is my "follow up" on this ...

I am about to buy a new computer (scheduled to happen before Wednesday).
Regarding the GPU on my new PC ... is "Open GL" anything I need to be concerned of?
[Win10] Intel i7-6700K 4.0GHz / GTX1070 Dual OC 8GB GDDR5 / 32GB 2133MHz DDR4 SDRAM

Stegei
GIANTS Software | CTO
Posts: 1466
Joined: Sat Jun 09, 2007 10:51 am

Re: OPEN GL

Post by Stegei » Mon Aug 29, 2016 9:36 am

If you buy a computer with a GPU that meets the performance requirements, you should not be concerned about the OpenGL version. Any GPU that's newer then like 3 years, meets all the OpenGL feature requirements. So all you really need to care about is the performance.

User avatar
W1der
Posts: 3678
Joined: Wed Jan 13, 2016 7:53 pm
Location: SWEDEN

Re: OPEN GL

Post by W1der » Mon Aug 29, 2016 9:40 am

Stegei wrote:If you buy a computer with a GPU that meets the performance requirements, you should not be concerned about the OpenGL version. Any GPU that's newer then like 3 years, meets all the OpenGL feature requirements. So all you really need to care about is the performance.
OK ... great ... one less thing to "worry about" then ... thanks!
[Win10] Intel i7-6700K 4.0GHz / GTX1070 Dual OC 8GB GDDR5 / 32GB 2133MHz DDR4 SDRAM

Post Reply